Subject: Re: bug#35623: FW: bug#35623: guix pull failed on RHEL7

From: Karrick McDermott <[email-masked]>
Date: Fri, 10 May 2019 22:47:38 +0000

1. Glad you identified why `HOME` was unset, due to the `with-clean-environment` function. I am surprised a few environment variables are not conveyed through the code path, as `ssh` does for variables it deems safe, including `HOME`, `LOGNAME`, `TZ`, and `USER`.

2. My RHEL7 machine is _not_ running `nscd` as you surmised.  This machine was configured to use LDAP for user account management.  

3. Thanks for the link to the documentation for post-installation steps on non-Guix systems.  I had that page open in a tab, and never got to it because `guix pull` was failing before I got that far in the instructions.  I'm reading through those now. 

-----Original Message-----
From: Ludovic Courtès <[email-masked]>
Date: Friday, May 10, 2019 at 6:23 PM
To: Karrick McDermott <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Subject: Re: bug#35623: FW: bug#35623: guix pull failed on RHEL7

    Hi,
    
    Karrick McDermott <[email-masked]> skribis:
    
    > In ./guix/utils.scm:
    >    661:47  1 (xdg-directory _ "/.config" #:ensure? _)
    > In unknown file:
    >            0 (getpw 10452)
    >
    > ERROR: In procedure getpw:
    > In procedure getpw: entry not found
    > ?-guix pull: [1;31merror: [0mYou found a bug: the program '/gnu/store/4hsmk7kh62yvbi154pyy3nq8drml116a-compute-guix-derivation'
    
    This happens because ‘with-clean-environment’ in
    ‘build-aux/build-self.scm’ clears the environment while executing
    “compute-guix-derivation”.  Thus ‘HOME’ is unset.
    
    Additionally, could it be that you’re not running nscd?  See:
    
      https://nam06.safelinks.protection.outlook.com/?url=https%3A%2F%2Fgnu.org%2Fsoftware%2Fguix%2Fmanual%2Fen%2Fhtml_node%2FApplication-Setup.html%23Name-Service-Switch-1&amp;data=02%7C01%7Ckmcdermott%40linkedin.com%7C6c139fc36f1242e5299808d6d596266f%7C72f988bf86f141af91ab2d7cd011db47%7C1%7C1%7C636931238208308701&amp;sdata=CxU7cDx1M8ZLDpyQIvsINkttxiQXKeisUYyipLVdeyw%3D&amp;reserved=0
    
    That said, we could also let ‘HOME’ through in the execution environment
    of “compute-guix-derivation”, it can’t hurt.
    
    Thanks,
    Ludo’.